const std = @import("std");

const algo = @import("algorithm.zig");
const robot = algo.robot;
const map = @import("map.zig");

pub fn main() !noreturn {
    algo.setup();

    // Flood fill to the goal
    algo.floodFill(map.goals[0..]);

    // Flood fill back to the start
    const starts = [_]map.Point{ map.start };
    algo.floodFill(starts[0..]);

    robot.stall();
}
